javax.faces.component.html

## Enum HtmlInputTextarea.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlInputTextarea.PropertyKeys>
  - - javax.faces.component.html.HtmlInputTextarea.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlInputTextarea.PropertyKeys>
  Enclosing class:
    HtmlInputTextarea

      protected static enum HtmlInputTextarea.PropertyKeys
      extends Enum<HtmlInputTextarea.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `cols`
    `dir`
    `disabled`
    `label`
    `lang`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `role`
    `rows`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlInputTextarea.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlInputTextarea.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlInputTextarea.PropertyKeys accesskey

    - #### cols

          public static final HtmlInputTextarea.PropertyKeys cols

    - #### dir

          public static final HtmlInputTextarea.PropertyKeys dir

    - #### disabled

          public static final HtmlInputTextarea.PropertyKeys disabled

    - #### label

          public static final HtmlInputTextarea.PropertyKeys label

    - #### lang

          public static final HtmlInputTextarea.PropertyKeys lang

    - #### onblur

          public static final HtmlInputTextarea.PropertyKeys onblur

    - #### onchange

          public static final HtmlInputTextarea.PropertyKeys onchange

    - #### onclick

          public static final HtmlInputTextarea.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlInputTextarea.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlInputTextarea.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlInputTextarea.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlInputTextarea.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlInputTextarea.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlInputTextarea.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlInputTextarea.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlInputTextarea.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlInputTextarea.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlInputTextarea.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlInputTextarea.PropertyKeys onselect

    - #### readonly

          public static final HtmlInputTextarea.PropertyKeys readonly

    - #### role

          public static final HtmlInputTextarea.PropertyKeys role

    - #### rows

          public static final HtmlInputTextarea.PropertyKeys rows

    - #### style

          public static final HtmlInputTextarea.PropertyKeys style

    - #### styleClass

          public static final HtmlInputTextarea.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlInputTextarea.PropertyKeys tabindex

    - #### title

          public static final HtmlInputTextarea.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlInputTextarea.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlInputTextarea.PropertyKeys c : HtmlInputTextarea.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlInputTextarea.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlInputTextarea.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.